%global _use_internal_dependency_generator 0

%global tl_version 20180414
%global tl_epoch 7

%{!?_texdir: %global _texdir %{_datadir}/texlive}
%{!?_texmf_var: %global _texmf_var %{_var}/lib/texmf}

# don't figure any perl requires
%global __perl_requires %{nil}
%global __find_provides %{nil}
%global __os_install_post /usr/lib/rpm/brp-compress %{nil}
%global __arch_install_post %{nil}

Name: texlive-extension
Version: %{tl_version}
Release: 1%{?dist}
Epoch: %{tl_epoch}
Summary: TeX formatting system
BuildArch: noarch

Group: Applications/Publishing
License: Artistic 2.0 and GPLv2 and GPLv2+ and LGPLv2+ and LPPL and MIT and Public Domain and UCD and Utopia
URL: http://tug.org/texlive/
Source0: texlive-licenses.tar.xz
# German language support
Source0489: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/babel-german.tar.xz
Source0490: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/babel-german.doc.tar.xz
Source2753: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/german.tar.xz
Source2754: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/german.doc.tar.xz
Source2756: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/germbib.tar.xz
Source2757: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/germbib.doc.tar.xz
Source4788: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/nomencl.tar.xz
Source4789: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/nomencl.doc.tar.xz
# add missing translator.sty
Source8032: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/translator.tar.xz
Source8033: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/translator.doc.tar.xz

%description
%name includes many texlive extension which are dropped in RHEL

%package -n texlive-babel-german
Provides: tex-babel-german = %{tl_version}
License: LPPL 1.3
Summary: Babel support for documents written in German
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(austrian.ldf) = %{tl_version}
Provides: tex(german.ldf) = %{tl_version}
Provides: tex(germanb.ldf) = %{tl_version}
Provides: tex(naustrian.ldf) = %{tl_version}
Provides: tex(ngerman.ldf) = %{tl_version}
Provides: tex(ngermanb.ldf) = %{tl_version}
Provides: tex(nswissgerman.ldf) = %{tl_version}
Provides: tex(swissgerman.ldf) = %{tl_version}

%description -n texlive-babel-german
The package defines LaTeX support, within the Babel package, of
German (including its Austrian dialect), in both 'old' and
'new' orthographies.

%package -n texlive-german
Provides: tex-german = %{tl_version}
License: LPPL
Summary: Support for German typography
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(german.sty) = %{tl_version}
Provides: tex(ngerman.sty) = %{tl_version}

%description -n texlive-german
Supports the new German orthography (neue deutsche
Rechtschreibung).

%package -n texlive-germbib
Provides: tex-germbib = %{tl_version}
License: Bibtex
Summary: German variants of standard BibTeX styles

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(german.sty)
Provides: tex(bibgerm.sty) = %{tl_version}
Provides: tex(mynormal.sty) = %{tl_version}

%description -n texlive-germbib
A development of the (old) german.sty, this bundle provides
German packages, BibTeX styles and documentary examples, for
writing documents with bibliographies. The author has since
developed the babelbib bundle, which (he asserts) supersedes
germbib.


%package -n texlive-nomencl
Provides: tex-nomencl = %{tl_version}
License: LPPL
Summary: Produce lists of symbols as in nomenclature
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(nomencl.sty) = %{tl_version}
Provides: tex(sample01.cfg) = %{tl_version}
Provides: tex(sample02.cfg) = %{tl_version}
Provides: tex(sample04.cfg) = %{tl_version}
Provides: tex(sample05.cfg) = %{tl_version}

%description -n texlive-nomencl
Produces lists of symbols using the capabilities of the
MakeIndex program.

%package -n texlive-translator
Summary: Easy translation of strings in LaTeX
BuildArch: noarch
License: LPPL or GPL+
Requires: texlive-base texlive-kpathsea
Requires: tex(keyval.sty)
Provides: tex(translator.sty) = %{tl_version}

%description -n texlive-translator
This LaTeX package provides a flexible mechanism for
translating individual words into different languages. For
example, it can be used to translate a word like "figure" into,
say, the German word "Abbildung". Such a translation mechanism
is useful when the author of some package would like to
localize the package such that texts are correctly translated
into the language preferred by the user. This package is not
intended to be used to automatically translate more than a few
words.

%prep
%setup -q -c -T -a 0

%build

%install
# create directory tree
mkdir -p %{buildroot}%{_texdir}/../texmf
mkdir -p %{buildroot}%{_texdir}/texmf-config/web2c
mkdir -p %{buildroot}%{_texmf_var}
mkdir -p %{buildroot}%{_texdir}/texmf-dist
mkdir -p %{buildroot}%{_texdir}/texmf-local

# extract sources
for i in %{sources}; do
   # find our special snowflakes
   if [ "$i" != "%{_sourcedir}/texlive-licenses.tar.xz" ] && [ "$i" != "%{_sourcedir}/yfonts-t1-license-email.pdf" ]; then
      if [ "$i" = "%{_sourcedir}/texlive-msg-translations.tar.xz" ] || [ "$i" = "%{_sourcedir}/xecyr.tar.xz" ] || [ "$i" = "%{_sourcedir}/xecyr.doc.tar.xz" ] || [ "$i" = "%{_sourcedir}/platex.tar.xz" ] || [ "$i" = "%{_sourcedir}/platex.doc.tar.xz" ] || [ "$i" = "%{_sourcedir}/texworks.doc.tar.xz" ] || [ "$i" = "%{_sourcedir}/uplatex.tar.xz" ] || [ "$i" == "%{_sourcedir}/texlive-docindex.tar.xz" ] || [ "$i" == "%{_sourcedir}/texlive-docindex.doc.tar.xz" ]; then
         OUTDIR="%{buildroot}%{_texdir}"
      else
         OUTDIR="%{buildroot}%{_texdir}/texmf-dist"
      fi
      xz -dc $i | tar x -C $OUTDIR
   fi
done

# nuke useless tlmgr packaging stuff and doc droppings
rm -rf %{buildroot}%{_texdir}/tlpkg/gpg/
rm -rf %{buildroot}%{_texdir}/tlpkg/tlpobj/
rm -rf %{buildroot}%{_texdir}/texmf-dist/tlpkg/tlpobj/
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/man/man*/*.pdf
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/man/Makefile
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/man/man*/Makefile
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/info/dir
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/texlive/texlive-common/tlmgr*
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/texlive/texlive-common/tlcockpit-packages.png
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/texlive/texlive-common/tlshell-macos.png

# Also nuke any sources that come out
rm -rf %{buildroot}%{_texdir}/texmf-dist/source

%files -n texlive-babel-german
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-german/
%doc %{_texdir}/texmf-dist/doc/generic/babel-german/

%files -n texlive-german
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/german/
%doc %{_texdir}/texmf-dist/doc/generic/german/

%files -n texlive-germbib
%{_texdir}/texmf-dist/bibtex/bst/germbib/
%{_texdir}/texmf-dist/tex/latex/germbib/
%doc %{_texdir}/texmf-dist/doc/bibtex/germbib/

%files -n texlive-nomencl
%license lppl1.txt
%{_texdir}/texmf-dist/makeindex/nomencl/
%{_texdir}/texmf-dist/tex/latex/nomencl/
%doc %{_texdir}/texmf-dist/doc/latex/nomencl/

%files -n texlive-translator
%license lppl1.3.txt
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/translator/
%doc %{_texdir}/texmf-dist/doc/latex/translator/

%changelog
* Mon Jan 13 2020 Than Ngo <than@redhat.com> - 20180414-1
- initial rpm for rhel8 
